org.apache.cassandra.db.compaction

## Class SSTableSplitter

- java.lang.Object
- - org.apache.cassandra.db.compaction.SSTableSplitter

-     public class SSTableSplitter
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SSTableSplitter.SplitController`
    `static class` | `SSTableSplitter.SplittingCompactionTask`
    `class` | `SSTableSplitter.StatsCollector`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableSplitter(ColumnFamilyStore cfs, LifecycleTransaction transaction, int sstableSizeInMB)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `split()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSTableSplitter

          public SSTableSplitter(ColumnFamilyStore cfs,
                                 LifecycleTransaction transaction,
                                 int sstableSizeInMB)

  - ### Method Detail

    - #### split

          public void split()

Copyright © 2018 The Apache Software Foundation